List datasets
GET/api/datasets/
CRUD for versioned datasets.
Datapoints are never exposed directly — they can only be read via
GET /api/datasets/{id}/datapoints/ or created as part of
POST /api/datasets/. To mutate data, POST a new dataset version.
Query Parameters
agent: optional string
formatuuid
generator_model: optional string
ordering: optional string
Which field to use when ordering the results.
page: optional number
A page number within the paginated result set.
search: optional string
A search term.
version: optional number
version_max: optional number
version_min: optional number
Returns
count: number
next: optional string
formaturi
previous: optional string
formaturi
List datasets
curl https://api.overmindlab.ai/api/datasets/{
"count": 123,
"results": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"generator_model": "generator_model",
"metadata": {},
"name": "name",
"num_datapoints": 0,
"policy_hash": "policy_hash",
"source": "seed",
"version": 0
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Returns Examples
{
"count": 123,
"results": [
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"agent": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"created_at": "2019-12-27T18:11:19.117Z",
"generator_model": "generator_model",
"metadata": {},
"name": "name",
"num_datapoints": 0,
"policy_hash": "policy_hash",
"source": "seed",
"version": 0
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}